export type ResourceRepositoryTreeDto = {
  /*资源库类型ID */
  resourceTypeId: string

  /*资源库类型表名 */
  resourceTableName: string

  /*资源库类型表名称 */
  resourceTableTitle: string

  /*父类表名 */
  parentTableName: string

  /*父类显示名 */
  parentTableTitle: string

  /*超类表名 */
  superTableName: string

  /*超类显示名 */
  superTableTitle: string

  pid?: string

  resourceFileds?: ResourceFieldDto[]

  childNode: ResourceRepositoryTreeDto[]
}

export type ResourceFieldDto = {
  /*资源字段ID */
  resourceFieldId: string

  /*所属资源类型ID */
  resourceTypeId: string

  /*字段名 */
  resourceFieldName: string

  /*字段显示名 */
  resourceFiledTitle: string

  /*字段类型，码表（resourceFieldType)） */
  resourceFieldType: string

  /*是否可见，码表（resourceFieldShow）） */
  resourceFieldShow: string

  /*字段大小 */
  resourceFieldSize: number

  /*整型长度 */
  integerLength: number

  /*小数点位数 */
  decimalPrecision: number

  /*序号 */
  sortNum: number

  /*选择的资源类型 */
  dictTable: string

  /*对应码表的编码 */
  dictCode: string

  /*显示选择对应的表的字段值 */
  dictText: string

  /*假删除标记(-1已删除,0正常) */
  deleted: number
}
